Exports the selected intents.
This method is a long-running operation. The returned Operation type has the following method-specific fields:
metadata:ExportIntentsMetadataresponse:ExportIntentsResponse
HTTP request
POST https://{endpoint}/v3beta1/{parent=projects/*/locations/*/agents/*}/intents:export
Where {endpoint} is one of the supported service endpoints.
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The name of the parent agent to export intents. Format: Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"intents": [
string
],
"dataFormat": enum ( |
| Fields | |
|---|---|
intents[] |
Required. The name of the intents to export. Format: |
dataFormat |
Optional. The data format of the exported intents. If not specified, |
| The destination to export. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
intentsUri |
Optional. The Google Cloud Storage URI to export the intents to. The format of this URI must be Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see Dialogflow access control. |
intentsContentInline |
Optional. The option to return the serialized intents inline. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dialogflow
For more information, see the Authentication Overview.
DataFormat
Data format of the exported intents.
| Enums | |
|---|---|
DATA_FORMAT_UNSPECIFIED |
Unspecified format. Treated as BLOB. |
BLOB |
Intents will be exported as raw bytes. |
JSON |
Intents will be exported in JSON format. |
CSV |
Intents will be exported in CSV format. |